Page MenuHomePhabricator

[mlir][math] Split off the math dialect.
ClosedPublic

Authored by herhut on Feb 8 2021, 8:55 AM.

Details

Diff Detail

Event Timeline

herhut created this revision.Feb 8 2021, 8:55 AM
herhut requested review of this revision.Feb 8 2021, 8:55 AM
ftynse accepted this revision.Feb 8 2021, 9:11 AM

Thanks!

mlir/include/mlir/Dialect/Linalg/EDSC/FoldedIntrinsics.h
59

Nit: keep dialect prefixes sorted

mlir/include/mlir/Dialect/Math/IR/MathOps.td
1

copy-pasta

mlir/include/mlir/Dialect/Math/Transforms/Passes.h
9–10

Copy-pasta of copy-pasta

mlir/lib/Conversion/StandardToSPIRV/StandardToSPIRV.cpp
1136

Nit: we drop usernames in LLVM

mlir/test/lib/Transforms/TestExpandTanh.cpp
1–2

Something went wrong here

This revision is now accepted and ready to land.Feb 8 2021, 9:11 AM
herhut updated this revision to Diff 322630.Feb 10 2021, 2:57 AM

Fix formatting issues.

herhut updated this revision to Diff 322639.Feb 10 2021, 3:23 AM
herhut marked 5 inline comments as done.

Added missing tests

Thanks for the review!

herhut updated this revision to Diff 323248.Feb 12 2021, 1:37 AM

Implement inlining interface

This revision was landed with ongoing or failed builds.Feb 12 2021, 1:55 AM
This revision was automatically updated to reflect the committed changes.